import React from 'react'
import Taro from '@tarojs/taro'
import { useSelector } from 'react-redux'
import { Image } from '@tarojs/components'
import './index.scss'

export default function DetailBottom (props) {
  const { Info = {} } = props

  // 当前推荐置业
  const { consultant } = useSelector(s => s.system)

  const handleCall = () => {
    if (Info.tel) {
      Taro.makePhoneCall({ phoneNumber: Info.tel })
      return
    }

    Taro.showToast({ title: '暂无联系电话', icon: 'none' })
  }

  const handleChat = () => {
    // TODO 订阅消息

    if (consultant?.id) {
      Taro.navigateTo({
        url: `/pages/chat/detail?targetPerson=${consultant.id}}`
      })
    } else {
      Taro.navigateTo({
        url: `/pages/index/buildingPropertyConsultant/index?buldingId=${Info?.buildingId}`
      })
    }
  }

  return (
    <view className='components DetailBottom flex-h'>
      <view className='Item'>
        <Image mode='heightFix' src={require('@/assets/buildingDetail-icon3.png')}></Image>
        <text>一键海报</text>
      </view>
      <view className='Item'>
        <Image mode='heightFix' src={require('@/assets/buildingDetail-icon1.png')}></Image>
        <text>一键带看</text>
      </view>
      <view className='Item'>
        <Image mode='heightFix' src={require('@/assets/buildingDetail-icon2.png')}></Image>
        <text>一键推荐</text>
      </view>
      <view className='flex-item'></view>
      <view className='Btn'>
        <text onClick={handleChat}>一键咨询</text>
        <text className='active' onClick={handleCall}>一键电话</text>
      </view>
    </view>
  )
}
